LetsEncrypt certificates fails on Android phones running Android 7 or older

Please read the following:

TLDR; older Android can be supported now using the "Long Chain", but you will not be able to use this chain after 2024-09-30 and must find an alternative solution before 2024-06-06.

9 Likes